Skip to main content
GET
/
organizations
/
{org_id}
Get organization
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/organizations/{org_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "name": "<string>",
  "email": "jsmith@example.com",
  "established_date": "2023-12-25",
  "size_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "naics_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postal_code": "<string>",
  "country_code": "<string>",
  "website": "<string>",
  "company_registration_number": "<string>",
  "tax_id": "<string>",
  "corporation_type_id": "<string>",
  "currency_code": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "phone": "+15551234567"
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"209071e4-ff14-4b41-a24a-a25542445b4e"

Response

Successful Response

name
string
required

Public organization name

Required string length: 1 - 300
Examples:

"Best Solutions Inc."

"Tech Innovators LLC"

email
string<email>
required

Valid contact organization email address

Required string length: 1 - 100
Examples:

"contact@bestsolutions.com"

"info@techinnovators.com"

established_date
string<date>
required

Date when the organization was established (must be in the past)

Examples:

"2001-04-15"

"2010-09-30"

size_id
string<uuid>
required

Identifier of the organization size

Example:

"f2686076-5a46-4356-9e82-fee2c926df53"

role_id
string<uuid>
required

Identifier of the organization role

Example:

"3b1a5f4e-8c2d-4e6f-9f1d-2c3b4a5e6f70"

naics_code_id
string<uuid>
required

Identifier of the organization NAICS code

Example:

"9c1d2e3f-4a5b-6c7d-8e9f-0a1b2c3d4e5f"

address
string
required

Valid organization's street address

Required string length: 1 - 500
Examples:

"123 Main St, Suite 400"

"456 Elm St, Floor 2"

city
string
required

Valid organization's city

Required string length: 1 - 100
Examples:

"New York"

"San Francisco"

state
string
required

Valid organization's state or province

Required string length: 1 - 100
Examples:

"NY"

"CA"

postal_code
string
required

Valid organization's postal code

Required string length: 1 - 30
Examples:

"10001"

"94103"

country_code
string
required

Valid organization's country code in ISO 3166-1 alpha-2

Required string length: 2
Examples:

"US"

"CA"

website
string<uri>
required

Valid organization's website URL

Required string length: 1 - 255
Examples:

"https://www.bestsolutions.com"

"https://www.techinnovators.com"

company_registration_number
string
required

Valid organization's company registration number

Required string length: 1 - 255
Examples:

"123456789"

"987654321"

tax_id
string
required

Valid organization's tax identification number

Required string length: 1 - 255
Examples:

"12-3456789"

"98-7654321"

corporation_type_id
string
required

Identifier of the organization's type of corporation

Required string length: 10 - 100
Example:

"a1b2c3d4-e5f6-7g8h-9i0j-k1l2m3n4o5p6"

currency_code
string
required

Valid organization's currency code in ISO 4217

Required string length: 3
Examples:

"USD"

"CAD"

id
string<uuid>
required

Unique identifier of the organization

Example:

"209071e4-ff14-4b41-a24a-a25542445b4e"

owner_account_id
string<uuid>
required

Unique identifier of the organization's owner account

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

status
enum<string>
required

Organization status

Available options:
active,
deleted
created_at
string<date-time>
required

Date and time when the organization was created

Example:

"2025-11-11T12:28:54.252825"

updated_at
string<date-time>
required

Date and time of the last update of public information about the organization.

Example:

"2025-12-01T09:15:30.123456"

phone
string | null

Valid contact organization phone number

Example:

"+15551234567"